Qt 5.8 | Qt Help | C++ Classes | QHelpSearchQueryWidget

Qt 5.8.0 Reference Documentation

# QHelpSearchQueryWidget Class

The QHelpSearchQueryWidget class provides a simple line edit or an advanced widget to enable the user to input a search term in a standardized input mask. More...

Header: | #include <QHelpSearchQueryWidget>
qmake: | QT += help
Since: | Qt 4.4

- List of all members, including inherited members

## Public Functions

| QHelpSearchQueryWidget(QWidget *parent = Q_NULLPTR)
| ~QHelpSearchQueryWidget()
void | collapseExtendedSearch()
void | expandExtendedSearch()
bool | isCompactMode() const
QList<QHelpSearchQuery> | query() const
void | setQuery(const QList<QHelpSearchQuery> &queryList)

## Signals

void | search()

## Detailed Description

The QHelpSearchQueryWidget class provides a simple line edit or an advanced widget to enable the user to input a search term in a standardized input mask.

## Member Function Documentation

### QHelpSearchQueryWidget::QHelpSearchQueryWidget(QWidget *parent = Q_NULLPTR)

Constructs a new search query widget with the given parent.

### QHelpSearchQueryWidget::~QHelpSearchQueryWidget()

Destroys the search query widget.

### void QHelpSearchQueryWidget::collapseExtendedSearch()

Collapses the search query widget so that only the default search field is shown.

### void QHelpSearchQueryWidget::expandExtendedSearch()

Expands the search query widget so that the extended search fields are shown.

### bool QHelpSearchQueryWidget::isCompactMode() const

### QList<QHelpSearchQuery> QHelpSearchQueryWidget::query() const

Returns a list of queries to use in combination with the search engines search(QList<QHelpSearchQuery> &queryList) function.

See also setQuery().

### `[signal]` void QHelpSearchQueryWidget::search()

This signal is emitted when a the user has the search button invoked. After receiving the signal you can ask the QHelpSearchQueryWidget for the build list of QHelpSearchQuery's that you may pass to the QHelpSearchEngine's search() function.

### void QHelpSearchQueryWidget::setQuery(const QList<QHelpSearchQuery> &queryList)

Sets the QHelpSearchQueryWidget input fields to the values specified by queryList search field name. Please note that one has to call the search engine's search(QList<QHelpSearchQuery> &queryList) function to perform the actual search.

See also query().